[
{
    blockid=sys;
    help=service_imap_sys_sys;
    custom="com.netscape.management.msgserv.ServiceIMAPServiceControl";
    localvar={
	/* translate this block */
	.header.text="System Configuration";
	.enabled.text="Enable IMAP service at port";
	.port.text="Port:";
	.enabledssl.text="Use separate port for IMAP over SSL";
	/* .anonymous.text="Allow anonymous login"; */
	.plaintext.text="Allow password login";
	.mincipher.text="Minimum cipher length for password encryption";
	.session.text="Maximum network connections per process:";
	.thread.text="Maximum number of threads per process:";
	.slave.text="Number of processes:";
	.drop.text="Drop client connection if idle for:";
	.banner.text="IMAP service banner:";
	.idle.labels=["Minute(s)","Hour(s)"];
	.connection.border=[titled,"Connection settings"];
	.process.border=[titled,"Process settings"];
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=rigid;
		},
		{
		    ctrl=togglepane;
		    id=portlabel;
		    text=$.enabled.text;
		    val=$enable.value;
		    inline=true;
		    content=[
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$port.value;
			    label=portlabel;
			    max=65535;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=rigid;
		},
		{
		    ctrl=togglepane;
		    id=sslportlabel;
		    text=$.enabledssl.text;
		    val=$enablesslport.value;
		    inline=true;
		    content=[
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$sslport.value;
			    label=sslportlabel;
			    max=65535;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	/*
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=rigid;
		},
		{
		    ctrl=togglepane;
		    text=$.anonymous.text;
		    val=$allowanonymouslogin.value;
		    inline=true;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	*/
	{
	    ctrl=togglepane;
	    text=$.plaintext.text;
	    id=plaintexttoggle;
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=mincipherlabel;
			    text=$.mincipher.text;
			    wrap=$g.label.size2;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=choice;
			    id=mincipher;
			    label=mincipherlabel;
			    items=[0,40,56,128];
			    val=$plaintextmincipher.value;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    layout=[ybox];
	    border=$.connection.border;
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=sessionlabel;
			    text=$.session.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$maxsessions.value;
			    aligny=0.5;
			    label=sessionlabel;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=droplabel;
			    text=$.drop.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$idletimeout.value;
			    aligny=0.5;
			    label=droplabel;
			    unit=min;
			    items=[min,hr];
			    labels=$.idle.labels;
			    min=30;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    layout=[ybox];
	    border=$.process.border;
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=threadlabel;
			    text=$.thread.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$maxthreads.value;
			    aligny=0.5;
			    label=threadlabel;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=slavelabel;
			    text=$.slave.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$numprocesses.value;
			    aligny=0.5;
			    label=slavelabel;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=bannerlabel;
		    text=$.banner.text;
		    wrap=$g.label.size2;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=text;
		    val=$banner.value;
		    aligny=0.5;
		    label=bannerlabel;
		}
	    ]
	}
    ]
}
]
